/*
 * Copyright 2003 - 2006 Ixaris Systems Ltd. All rights reserved. IXARIS PROPRIETARY/CONFIDENTIAL. Use is subject to
 * license terms.
 */
package com.ixaris.cachesample.ejb.entity;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

@Entity
@Table(name = "tt_test")
@Inheritance(strategy = InheritanceType.SINGLE_TABLE)
public abstract class ParentEntity implements Serializable {
    
    private static final long serialVersionUID = 5751958972675892020L;
    
    @Id
    private String id;
    
    protected ParentEntity() {
        super();
    }
    
    public ParentEntity(String id) {
        this.id = id;
    }
    
    public String getId() {
    
        return id;
    }
    
}
